### Method

# Gtk ListStore prepend

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_prepend (
      GtkListStore* list_store,
      GtkTreeIter* iter
    )

#### Description [src]

Prepends a new row to `list_store`. `iter` will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call `gtk_list_store_set()` or gtk_list_store_set_value().

Deprecated since: 4.10

Use list models.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the prepend row.

  The argument will be set by the function.
  The returned data is owned by the instance.